Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIReferenceProvider.XMIReference

    java.lang.Object
      org.netbeans.api.xmi.XMIReferenceProvider.XMIReference

Enclosing interface:
  XMIReferenceProvider

    public static final class XMIReferenceProvider.XMIReference

extends Object

Simple structure for representing XMI references to elements corresponding to an object.

Constructor Summary
`XMIReferenceProvider.XMIReference(String systemId, String xmiId)` Creates a new instance of XMIReference.

Method Summary
`String` | `getSystemId()` Returns URI (system ID) of the home document for the object.
`String` | `getXmiId()` Returns XMI ID for the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIReferenceProvider.XMIReference

    public XMIReferenceProvider.XMIReference(String systemId,
                                             String xmiId)

  Creates a new instance of XMIReference.

  Parameters:
    `systemId` - URI of the home document for the object.
    `xmiId` - xmi.id of the object.

Method Detail

### getSystemId

    public String getSystemId()

  Returns URI (system ID) of the home document for the object. This method can return `null` which means that the XMIReferenceProvider does not control what file the object should go to, thus the writer should write it to the document that is being produced.

  Returns:
    Document URI

### getXmiId

    public String getXmiId()

  Returns XMI ID for the object.

  Returns:
    xmi.id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.